library responsivelayout;

import 'package:flutter/material.dart';

class ResponsiveBuilder extends StatelessWidget {
  final Widget phone;
  final Widget tablet;
  final Widget desktop;
  final EdgeInsets padding;

  const ResponsiveBuilder({
    Key key,
    @required this.phone,
    this.tablet,
    this.desktop,
    this.padding = EdgeInsets.zero,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: padding,
      child: LayoutBuilder(
        builder: (context, constraints) {
          // Phone
          if (constraints.maxWidth <= 600) {
            return phone;
          } else if (constraints.maxWidth <= 832) {
            return tablet ?? phone;
          } else {
            return desktop ?? tablet ?? phone;
          }
        },
      ),
    );
  }
}

